Get all accounts
curl --request GET \
--url https://api.voltview.co.uk/v1/suppliers/accounts \
--header 'x-api-key: <api-key>'import requests
url = "https://api.voltview.co.uk/v1/suppliers/accounts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.voltview.co.uk/v1/suppliers/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"referenceId": "<string>",
"id": "<string>",
"status": "PASSING",
"reason": "<string>",
"isTest": true,
"createdAt": "2023-11-07T05:31:56Z"
}
]{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "Invalid request"
}
}Supplier Integration
Get all accounts
Get all accounts under the projects.
GET
/
v1
/
suppliers
/
accounts
Get all accounts
Authorizations
VoltView API key
Query Parameters
Filter to accounts by the date
Filter to accounts by isTest
Filter to accounts by supplier
Filter to accounts by referenceId
Response
Account created successfully